# Description
`robocode-svm` is a script to demonstrate Support Vector Machine (SVM) classification on outcomes of the battles of Robocode.

# Installation
The script runs under Linux and requires `robocode`, `svm-scale`, `svm-train` and `svm-predict` executables located in the `PATH`. On Arch Linux (or it's derivative, like i.e. Manjaro), this can be achieved by installing [libsvm](https://aur.archlinux.org/packages/libsvm/) and [robocode](https://aur.archlinux.org/packages/robocode/) from AUR (if enabled) by following command (or equivalent)
```
yaourt -S robocode libsvm
```

# Usage
Generate the data required for SVM classification and show the accuracy
of the generated SVM model. If coordinates are supported, one visual battle
is shown to support the prediction.

USAGE: robocode-svm ACTION
USAGE: robocode-svm --battle x y [alpha]

     --battle		Shows visual run of the specified battle
  -g,--generate		Just generate the battle data
  -a,--accuracy		Show the accuracy of the SVM model,
  -c,--clean		Delete all the battle data!
  -h,--help		Show this help

